package types

/*
	Предоставляет интерфейс банка на базе
*/

// IBank -- интерфейс банка на базе
type IBank interface {
	ISection
	// SilverBot -- сколько серебра заработал бот
	SilverBot() IStatParam
	// Mode1 -- объект первого режима производства
	Mode1() IBankMode
	// Mode2 -- объект второго режима производства
	Mode2() IBankMode
}
